# 
# * 6.4 Множества (set) и их методы
# 
'''
Подвиг 3. Вводятся вещественные числа в одну строчку через пробел.
Необходимо на их основе сформировать множество s.
Подсказка: множество можно создать по аналогии со списком: 
list(map(float, <список из строк чисел>))
Вывести на экран значения множества s в порядке возрастания в одну
строчку через пробел, используя команду:
print(*sorted(s))
P. S. О функции sorted мы еще будем говорить, а также об операторе *.
Пока просто запомните такую возможность сортировки и вывода произвольных
коллекций на экран.
Sample Input:
-5.1 -3.0 7.6 10.3 -4.6 2.78
Sample Output:
-5.1 -4.6 -3.0 2.78 7.6 10.3
'''


# print(*sorted(set(map(float, input().split()))))

'''
Подвиг 4. Вводится текст в одну строку, слова разделены пробелом.
Необходимо подсчитать число уникальных слов (без учета регистра) в этом
тексте. Результат (число уникальных слов) вывести на экран.
Sample Input:
Мама мыла раму а потом мыла кота и еще мыла пол
Sample Output:
9
'''
# print(len(set(input().lower().split())))

'''
Подвиг 5. Вводится строка, содержащая латинские символы, пробелы и цифры.
Необходимо выделить из нее все неповторяющиеся цифры (символы от 0 до 9)
и вывести на экран в одну строку через пробел их в порядке возрастания
значений. Если цифры отсутствуют, то вывести слово НЕТ.
Sample Input:
Python 3.9.11 - best language!
Sample Output:
1 3 9
'''
# s = {x for x in input() if x in '0123456789'}
# if len(s):
#     print(*sorted(s))
# else:
#     print('НЕТ')

'''
Подвиг 6. В ночном клубе фиксируется список гостей. Причем гости могут
выходить из помещения, а затем, снова заходить. Тогда их имена
фиксируются повторно. На вход программы поступает такой список (каждое
имя записано с новой строки). Требуется подсчитать общее число гостей,
которые посетили ночной клуб. Полагается, что гости имеют уникальные
имена. На экран вывести общее число гостей клуба.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
Мария
Елена
Екатерина
Александр
Елена
Мария
Sample Output:
4
'''

# import sys
# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))
# # здесь продолжайте программу (используйте список lst_in)
# print(len(set(lst_in)))

'''
Подвиг 7. В аккаунте youtube Сергея прокомментировали очередное видео.
Некоторые посетители оставляли несколько комментариев. Требуется по
списку комментариев определить уникальное число комментаторов.
Комментарии поступают на вход программы в формате:
имя 1: комментарий 1
имя 2: комментарий 2
...
имя N: комментарий N
Также полагается, что имена у разных комментаторов не совпадают.
Вывести на экран общее число уникальных комментаторов.
P. S. Для считывания списка целиком в программе уже записаны начальные строчки.
Sample Input:
EvgeniyK: спасибо большое!
LinaTroshka: лайк и подписка!
Sergey Karandeev: крутое видео!
Евгений Соснин: обожаю
EvgeniyK: это повтор?
Sergey Karandeev: нет, это новое видео
Sample Output:
4
'''

# import sys
# # считывание списка из входного потока
# lst_in = list(map(str.strip, sys.stdin.readlines()))
# # здесь продолжайте программу (используйте список lst_in)
# print(len({r.split(': ')[0] for r in lst_in}))

'''
Подвиг 8. Пользователь с клавиатуры вводит названия городов, пока не
введет букву q. Определить общее уникальное число городов, которые вводил
пользователь. На экран вывести это число.
Из коллекций при реализации программы использовать только множества.
Sample Input:
Уфа
Москва
Тверь
Екатеринбург
Томск
Уфа
Москва
q
Sample Output:
5
'''
u_i = ''
c = set()
while u_i != 'q':
    u_i = input()
    if u_i != 'q':
        c.add(u_i)
print(len(c))